Subject: [KEYPROV] I-D Action:draft-ietf-keyprov-dskpp-04.txt

From: [email-masked]
Date: Sun, 22 Jun 2008 19:00:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Provisioning of Symmetric Keys Working Group of the IETF.

	Title           : Dynamic Symmetric Key Provisioning Protocol (DSKPP)
	Author(s)       : A. Doherty, et al.
	Filename        : draft-ietf-keyprov-dskpp-04.txt
	Pages           : 104
	Date            : 2008-06-22

DSKPP is a client-server protocol for initialization (and
configuration) of symmetric keys to locally and remotely accessible
cryptographic modules.  The protocol can be run with or without
private-key capabilities in the cryptographic modules, and with or
without an established public-key infrastructure.

Two variations of the protocol support multiple usage scenarios.
With the four-pass variant, keys are mutually generated by the
provisioning server and cryptographic module; provisioned keys are
not transferred over-the-wire or over-the-air.  The two-pass variant
enables secure and efficient download and installation of pre-
generated symmetric keys to a cryptographic module.

This document builds on information contained in [RFC4758], adding
specific enhancements in response to implementation experience and
liaison requests.  It is intended that this document or a successor
version thereto will become the basis for subsequent progression of a
symmetric key provisioning protocol specification on the standards
track.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-keyprov-dskpp-04.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
KEYPROV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/keyprov

---

From: [email-masked]
Date: Sun, 22 Jun 2008 22:49:32 -0400

As noted below, an update to the DSKPP document is available for comment. 
 
Note that this document addresses all known issues.  In particular,
 
1. Specified the Authentication Code Format (see Section 3.4).  
2. Made schema (Sec 7) changes so that AuthenticationDataType is only used in client
    messages, and not in server messages:
    a. AuthenticationDataType now has Client ID marked as mandatory (Sec 4.3.4).
    b. Renamed AuthenticationCodeMacType to AuthenticationMacType to make the element more
        generic to client and server (Sec. 4.3.4) initated messages.
    c. The second (optional) MAC in KeyProvFinished is still called AuthenticationData but is now of type
        AuthenticationMacType (refer to Section 4.6). 
3. Modified the MAC Calculations for Key Confirmation in one- and two-pass (Sec 3.1.4.2 and 3.2.3.1)
    so that the MAC now includes a hash of all messages sent and received up to, but not including,
    <KeyProvServerFinished>.  Added Sec 3.1.4.3 to specify the Message Hash Algorithm.
4. Added Section 1.5 to describe the presentation syntax used in the document (i.e., XML), and
    to document the associated version, namespace prefixes, and idenfiers.
5. Replaced the IANA Considerations section with wording from Hannes.
6. Some new references were added for the IANA Considerations section, as well as for the other
    changes noted above.
 
Comments would be appreciated, esp. within the next two weeks to allow time for any changes prior to the July 14 I-D submission cut-off date.
 
Andrea

________________________________

From: [email-masked] on behalf of [email-masked]
Sent: Sun 6/22/2008 10:00 PM
To: [email-masked]
Cc: [email-masked]
Subject: [KEYPROV] I-D Action:draft-ietf-keyprov-dskpp-04.txt